message '>>Creating tables.' type info to client
go

create table emp (
	emp_id int primary key,
	emp_name varchar( 128 ), 
	emp_address varchar( 60 )
);
go

create table passthrough_Sql (
	sql_id int primary key,
	sql_stmt varchar(1024),
	last_modified timestamp default timestamp
);
go

CALL ml_add_table_script (
	'ver1.0',
	'emp',
	'download_cursor',
'
SELECT "DBA"."emp"."emp_id",
	"DBA"."emp"."emp_name"
FROM "DBA"."emp"

'
);

CALL ml_add_table_script (
	'ver1.1',
	'emp',
	'download_cursor',
'
SELECT "DBA"."emp"."emp_id",
	"DBA"."emp"."emp_name",
	"DBA"."emp"."emp_address"
FROM "DBA"."emp"

'
);

CALL ml_add_table_script (
	'ver1.0',
	'passthrough_Sql',
	'download_cursor',
'
SELECT "DBA"."passthrough_Sql"."sql_id",
	"DBA"."passthrough_Sql"."sql_stmt"
FROM "DBA"."passthrough_Sql"
WHERE "DBA"."passthrough_Sql"."last_modified" >= {ml s.last_table_download}

'
);

CALL ml_add_table_script (
	'ver1.1',
	'passthrough_Sql',
	'download_cursor',
'
SELECT "DBA"."passthrough_Sql"."sql_id",
	"DBA"."passthrough_Sql"."sql_stmt"
FROM "DBA"."passthrough_Sql"
WHERE "DBA"."passthrough_Sql"."last_modified" >= {ml s.last_table_download}

'
);

message '>>Adding data' type info to client
go

-- add data to employee table
insert into emp ( emp_id, emp_name, emp_address ) values ( 1, 'emp1', 'address1' );
insert into emp ( emp_id, emp_name, emp_address ) values ( 2, 'emp2', 'address2' );
insert into emp ( emp_id, emp_name, emp_address ) values ( 3, 'emp3', 'address3' );
insert into emp ( emp_id, emp_name, emp_address ) values ( 4, 'emp4', 'address4' );
insert into emp ( emp_id, emp_name, emp_address ) values ( 5, 'emp5', 'address5' );
insert into emp ( emp_id, emp_name, emp_address ) values ( 6, 'emp6', 'address6' );
insert into emp ( emp_id, emp_name, emp_address ) values ( 7, 'emp7', 'address7' );
insert into emp ( emp_id, emp_name, emp_address ) values ( 8, 'emp8', 'address8' );
insert into emp ( emp_id, emp_name, emp_address ) values ( 9, 'emp9', 'address9' );
insert into emp ( emp_id, emp_name, emp_address ) values ( 10, 'emp10', 'address10' );
commit
go


