@echo off

REM  Define the ODBC data sources
"%SQLANY10%\win32\dbdsn" -w test_consol -y -c "uid=DBA;pwd=sql;dbf=consol.db;eng=Consol"
if errorlevel 1 goto RunTimeError
"%SQLANY10%\win32\dbdsn" -w test_remote -y -c "uid=DBA;pwd=sql;dbf=remote.db;eng=Remote"
if errorlevel 1 goto RunTimeError

REM  Construct the consolidated database
"%SQLANY10%\win32\dbinit" consol.db
if errorlevel 1 goto RunTimeError
"%SQLANY10%\win32\dbisql" -c "dsn=test_consol" "%SQLANY10%\MobiLink\setup\syncsa.sql"
if errorlevel 1 goto RunTimeError
"%SQLANY10%\win32\dbisql" -c "dsn=test_consol" build_consol.sql
if errorlevel 1 goto RunTimeError

REM  Construct the remote database
"%SQLANY10%\win32\dbinit" remote.db
if errorlevel 1 goto RunTimeError
"%SQLANY10%\win32\dbisql" -c "dsn=test_remote" build_remote.sql
if errorlevel 1 goto RunTimeError

goto End

:RunTimeError
echo Error: A step in the sample script failed with an error.

:End